> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sso Connection

> Create a new SSO connection for the current workspace.



## OpenAPI

````yaml /openapi.json post /v1/sso/connections
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/sso/connections:
    post:
      tags:
        - sso
      summary: Create Sso Connection
      description: Create a new SSO connection for the current workspace.
      operationId: create_sso_connection_v1_sso_connections_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSSOConnectionRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateSSOConnectionRequest:
      properties:
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        metadata_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Metadata Url
        name:
          maxLength: 100
          minLength: 1
          title: Name
          type: string
        provider:
          enum:
            - saml
            - oidc
            - google
            - microsoft
            - okta
          title: Provider
          type: string
      required:
        - name
        - provider
      title: CreateSSOConnectionRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````